Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package backend
  Definition Classes
    nsc
-  package classpath
  Definition Classes
    nsc
-  package doc
  Definition Classes
    nsc
-  package interactive
  Definition Classes
    nsc
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  package io
  Definition Classes
    nsc
-  package javac
  Definition Classes
    nsc
-  package plugins
  Definition Classes
    nsc
-  package reporters
  Definition Classes
    nsc
-  package settings
  Definition Classes
    nsc
-  package symtab
  Definition Classes
    nsc
-  package transform
  Definition Classes
    nsc
-  package typechecker
  Definition Classes
    nsc
-  package util
  Definition Classes
    nsc
- ClassPathMemoryConsumptionTester
- CommonRunner
- CompilationUnits
- CompileClient
- CompileServer
- CompileSocket
- CompilerCommand
- ConsoleWriter
- Driver
- EvalLoop
- GenericRunnerCommand
- GenericRunnerSettings
- Global
- GlobalSymbolLoaders
- HasCompileSocket
- Interpreter
- InterpreterLoop
- JarRunner
- Main
- MainBench
- MainClass
- MainGenericRunner
- MainTokenMetric
- NewLinePrintWriter
- ObjectRunner
- OfflineCompilerCommand
- Parsing
- PhaseAssembly
- Properties
- Reporting
- ScalaDoc
- ScalaDocReporter
- ScriptRunner
- Settings
- StandardCompileClient
- StandardCompileServer
- SubComponent

o

scala.tools.nsc

# CompileSocket 

###
Companion class CompileSocket

#### object CompileSocket extends CompileSocket

Source
  CompileSocket.scala

Linear Supertypes
CompileSocket, CompileOutputCommon, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CompileSocket
2. CompileSocket
3. CompileOutputCommon
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
6.  def cmdName: String
   Attributes
     protected
   Definition Classes
     CompileSocket
7.  lazy val compileClient: StandardCompileClient
   Attributes
     protected
   Definition Classes
     CompileSocket
8.  def deletePort(port: Int): Boolean

   Delete the port number to which a scala compile server was connected

   Delete the port number to which a scala compile server was connected

   Definition Classes
     CompileSocket
9.  lazy val dirName: String

   The prefix of the port identification file, which is followed by the port number.

   The prefix of the port identification file, which is followed by the port number.

   Attributes
     protected
   Definition Classes
     CompileSocket
10.  def echo(msg: String): Unit
    Definition Classes
      CompileOutputCommon
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
13.  def fatal(msg: String): Nothing
    Definition Classes
      CompileOutputCommon
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  var fixPort: Int
    Definition Classes
      CompileSocket
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
17.  def getOrCreateSocket(vmArgs: String, create: Boolean = true, fixedPort: Int = 0): Option[Socket]

    Get a socket connected to a daemon.

    Get a socket connected to a daemon. If create is true, then create a new daemon if necessary. Returns None if the connection cannot be established.

    Definition Classes
      CompileSocket
18.  def getPassword(port: Int): String
    Definition Classes
      CompileSocket
19.  def getPort(vmArgs: String): Int

    Get the port number to which a scala compile server is connected; If no server is running yet, then create one.

    Get the port number to which a scala compile server is connected; If no server is running yet, then create one.

    Definition Classes
      CompileSocket
20.  def getSocket(hostName: String, port: Int): Option[Socket]
    Definition Classes
      CompileSocket
21.  def getSocket(serverAdr: String): Option[Socket]
    Definition Classes
      CompileSocket
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
23.  def info(msg: String): Unit
    Definition Classes
      CompileOutputCommon
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
28.  def parseInt(x: String): Option[Int]
    Definition Classes
      CompileSocket
29.  def portFile(port: Int): File

    The port identification file

    The port identification file

    Definition Classes
      CompileSocket
30.  val portsDir: Directory
    Definition Classes
      CompileSocket
31.  val serverClass: String

    The class name of the scala compile server

    The class name of the scala compile server

    Attributes
      protected
    Definition Classes
      CompileSocket
32.  def serverClassArgs: collection.immutable.List[String]
    Attributes
      protected
    Definition Classes
      CompileSocket
33.  def setPort(port: Int): Unit

    Set the port number to which a scala compile server is connected

    Set the port number to which a scala compile server is connected

    Definition Classes
      CompileSocket
34.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
35.  val tmpDir: Directory

    A temporary directory to use

    A temporary directory to use

    Definition Classes
      CompileSocket
36.  def toString(): String
    Definition Classes
      AnyRef → Any
37.  def verbose: Boolean
    Definition Classes
      CompileSocket → CompileOutputCommon
38.  val vmCommand: String

    The vm part of the command to start a new scala compile server

    The vm part of the command to start a new scala compile server

    Attributes
      protected
    Definition Classes
      CompileSocket
39.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
41.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
42.  def warn(msg: String): Unit
    Definition Classes
      CompileOutputCommon

### Inherited from CompileSocket

### Inherited from CompileOutputCommon

### Inherited from AnyRef

### Inherited from Any

### Ungrouped